
From: Oleg Drokin <green@linuxhacker.ru>

This patch below is needed to suppress the warning, with more than one
indirect block insertion at a time, it is now possible to split indirect
items as well and there were reports on lkml from people who seen this
warning and were worried about it.

To be on the safe side, I consulted with Vladimir Saveliev and he said that
the change is safe to do indeed.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiserfs/fix_node.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN fs/reiserfs/fix_node.c~reiserfs-vs-8115-test-adjustment fs/reiserfs/fix_node.c
--- 25/fs/reiserfs/fix_node.c~reiserfs-vs-8115-test-adjustment	2005-01-10 17:29:28.181602664 -0800
+++ 25-akpm/fs/reiserfs/fix_node.c	2005-01-10 17:29:28.186601904 -0800
@@ -510,9 +510,10 @@ static int get_num_ver (int mode, struct
 	// s2bytes
 	snum012[4] = op_unit_num (&vn->vn_vi[split_item_num]) - snum012[4] - bytes_to_r - bytes_to_l - bytes_to_S1new;
 
-	if (vn->vn_vi[split_item_num].vi_index != TYPE_DIRENTRY)
+	if (vn->vn_vi[split_item_num].vi_index != TYPE_DIRENTRY &&
+	    vn->vn_vi[split_item_num].vi_index != TYPE_INDIRECT)
 	    reiserfs_warning (tb->tb_sb, "vs-8115: get_num_ver: not "
-			      "directory item");
+			      "directory or indirect item");
     }
 
     /* now we know S2bytes, calculate S1bytes */
_
